#include <iostream>
#include "../Header.hh"

using namespace Header;
int main()
{
  std::string hdrtest = "1234567898765432123456789875623345";
  try{
    std::cout <<"S70: ";
    SurveySchema survey1(S70);
    std::cout << survey1.getStartPosition(FREQ_CHAN1) << std::endl;
    std::cout << survey1.readParameter<int>(hdrtest,TAPENR) << std::endl;
    for(int i=0;i<2;i++){
      std::cout << "Freq #" <<i+1<<": " 
		<< survey1.getStartPosition(FREQ_CHAN1) << " "
		<< survey1.getFieldLength(FREQ_CHAN1) << " "
		<< survey1.getFieldDimension(FREQ_CHAN1) << "\n";
    }
    for(int i=0;i<survey1.getFieldDimension(STATUS);i++){
      std::cout << "Status #" <<i+1<<": " 
		<< survey1.getStartPosition(STATUS) << " "
		<< survey1.getFieldLength(STATUS) << " "
		<< survey1.getFieldDimension(STATUS) << "\n";
    }
    std::cout << "ANT_X = " << survey1.getAntX() <<"\n";
    std::cout << "FD_POLN = " << survey1.getFd_poln() <<"\n";
    std::cout << "FD_XYPH = " << survey1.getFd_xyph() <<"\n";
    std::cout << "TCYCLE = " << survey1.getTcycle() << "\n";

    std::cout <<"PM : ";
    SurveySchema survey2(PM);
    std::cout << survey2.getStartPosition(FREQ_CHAN1) << std::endl;
    std::cout << survey2.readParameter<int>(hdrtest,TAPENR) << std::endl;
    
//     std::cout <<"BOB: ";
//     SurveySchema survey3("BOB");
//     std::cout << survey3.getStartPosition(FREQ_CHAN1) << std::endl;
//     std::cout << survey3.readParameter<int>(hdrtest,TAPENR) << std::endl;
 }
  catch(SurveySchema::xBadSurvey bad){
    std::cout << "Survey \"" << bad.getSurvey() << "\" does not exist!\n";
  }

}
